Create Shipment - Fabric

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

Skip to main content

Create Shipment

cURL

curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/shipment/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-site-context: <x-site-context>' \
  --data '
{
  "shipmentNum": "78974156816152",
  "allocationId": "112345678912340",
  "invoiceId": "5674156816152",
  "poNumber": "1125",
  "vendorId": "56",
  "statusCode": "SHIPMENT_CREATED",
  "type": "STANDARD",
  "reshipmentReasonCode": "Order went missing",
  "shipDate": "2022-06-06T07:58:30.996Z",
  "locationNum": "132412",
  "locationType": "DC",
  "totalCartons": 2,
  "masterTrackingNumber": "TX112345678",
  "shipToId": "1",
  "shipToAddress": {
    "addressLine1": "888 Broadway",
    "addressLine2": "505 suite",
    "addressLine3": "<string>",
    "addressLine4": "<string>",
    "city": "New York",
    "state": "NY",
    "country": "USA",
    "postalCode": "1003",
    "type": "home",
    "latitude": 134.13413,
    "longitude": 757.0435
  },
  "recipient": [\
    {\
      "name": {\
        "first": "John",\
        "middle": "<string>",\
        "last": "Doe"\
      },\
      "email": "support@abc.inc",\
      "phone": {\
        "number": 10612345678,\
        "type": "MOBILE"\
      }\
    }\
  ],
  "cartons": [\
    {\
      "cartonNum": "1",\
      "cartonType": "Package",\
      "promisedDeliveryDate": "2022-05-26T07:58:30.996Z",\
      "estimatedShipDate": "2022-05-25T07:58:30.996Z",\
      "estimatedDeliveryDate": "2022-05-26T07:58:30.996Z",\
      "shipmentMethod": "ground",\
      "shipmentCarrier": "FEDEX",\
      "weight": "500 gram",\
      "trackingNumber": "1Z999AA10123456784",\
      "trackingURL": "https://fedex.com/tracking",\
      "trackingDetails": [\
        {\
          "event": "picked up",\
          "eventId": "627963716b19511e8a3a631b",\
          "timestamp": "2019-09-30T07:58:30.996Z",\
          "shipmentCarrier": "FEDEX",\
          "location": "Reno, NV",\
          "notes": {}\
        }\
      ],\
      "items": [\
        {\
          "lineItemId": "1",\
          "itemId": "100023",\
          "sku": "SKU0023",\
          "orderId": "317736896",\
          "orderNumber": "507f1f77bcf86cd799439011",\
          "channelId": "12",\
          "segment": null,\
          "vendorId": "56",\
          "orderedQuantity": 2,\
          "shippedQuantity": 2,\
          "returnQuantity": 1,\
          "returnAmount": 10,\
          "fees": [\
            {\
              "type": "tax",\
              "value": 34.56,\
              "quantity": 12,\
              "refundAmount": 10.4\
            }\
          ],\
          "giftCard": [\
            {\
              "giftCardNum": "453456765",\
              "amount": 50\
            }\
          ],\
          "attributes": {},\
          "uom": null\
        }\
      ]\
    }\
  ],
  "scratchedItems": [\
    {\
      "lineItemId": "2",\
      "itemId": "100043",\
      "sku": "SKU00043",\
      "quantity": 1,\
      "reasonCode": "<string>",\
      "subReasonCode": null,\
      "attributes": {},\
      "uom": null\
    }\
  ],
  "auditLogs": [\
    {\
      "auditType": "create",\
      "employeeId": "62272e917b12209e68751d94",\
      "auditTimestamp": "2022-05-12T09:24:54.804Z",\
      "source": "POS",\
      "note": "Note",\
      "attributes": {},\
      "updatedFields": [\
        {\
          "attributeName": "UOM",\
          "attributeOriginalValue": "PK"\
        }\
      ]\
    }\
  ],
  "attributes": {}
}
'
import requests

url = "https://prod01.oms.fabric.inc/api/v2/shipment/"

payload = {
    "shipmentNum": "78974156816152",
    "allocationId": "112345678912340",
    "invoiceId": "5674156816152",
    "poNumber": "1125",
    "vendorId": "56",
    "statusCode": "SHIPMENT_CREATED",
    "type": "STANDARD",
    "reshipmentReasonCode": "Order went missing",
    "shipDate": "2022-06-06T07:58:30.996Z",
    "locationNum": "132412",
    "locationType": "DC",
    "totalCartons": 2,
    "masterTrackingNumber": "TX112345678",
    "shipToId": "1",
    "shipToAddress": {
        "addressLine1": "888 Broadway",
        "addressLine2": "505 suite",
        "addressLine3": "<string>",
        "addressLine4": "<string>",
        "city": "New York",
        "state": "NY",
        "country": "USA",
        "postalCode": "1003",
        "type": "home",
        "latitude": 134.13413,
        "longitude": 757.0435
    },
    "recipient": [\
        {\
            "name": {\
                "first": "John",\
                "middle": "<string>",\
                "last": "Doe"\
            },\
            "email": "support@abc.inc",\
            "phone": {\
                "number": 10612345678,\
                "type": "MOBILE"\
            }\
        }\
    ],
    "cartons": [\
        {\
            "cartonNum": "1",\
            "cartonType": "Package",\
            "promisedDeliveryDate": "2022-05-26T07:58:30.996Z",\
            "estimatedShipDate": "2022-05-25T07:58:30.996Z",\
            "estimatedDeliveryDate": "2022-05-26T07:58:30.996Z",\
            "shipmentMethod": "ground",\
            "shipmentCarrier": "FEDEX",\
            "weight": "500 gram",\
            "trackingNumber": "1Z999AA10123456784",\
            "trackingURL": "https://fedex.com/tracking",\
            "trackingDetails": [\
                {\
                    "event": "picked up",\
                    "eventId": "627963716b19511e8a3a631b",\
                    "timestamp": "2019-09-30T07:58:30.996Z",\
                    "shipmentCarrier": "FEDEX",\
                    "location": "Reno, NV",\
                    "notes": {}\
                }\
            ],\
            "items": [\
                {\
                    "lineItemId": "1",\
                    "itemId": "100023",\
                    "sku": "SKU0023",\
                    "orderId": "317736896",\
                    "orderNumber": "507f1f77bcf86cd799439011",\
                    "channelId": "12",\
                    "segment": None,\
                    "vendorId": "56",\
                    "orderedQuantity": 2,\
                    "shippedQuantity": 2,\
                    "returnQuantity": 1,\
                    "returnAmount": 10,\
                    "fees": [\
                        {\
                            "type": "tax",\
                            "value": 34.56,\
                            "quantity": 12,\
                            "refundAmount": 10.4\
                        }\
                    ],\
                    "giftCard": [\
                        {\
                            "giftCardNum": "453456765",\
                            "amount": 50\
                        }\
                    ],\
                    "attributes": {},\
                    "uom": None\
                }\
            ]\
        }\
    ],
    "scratchedItems": [\
        {\
            "lineItemId": "2",\
            "itemId": "100043",\
            "sku": "SKU00043",\
            "quantity": 1,\
            "reasonCode": "<string>",\
            "subReasonCode": None,\
            "attributes": {},\
            "uom": None\
        }\
    ],
    "auditLogs": [\
        {\
            "auditType": "create",\
            "employeeId": "62272e917b12209e68751d94",\
            "auditTimestamp": "2022-05-12T09:24:54.804Z",\
            "source": "POS",\
            "note": "Note",\
            "attributes": {},\
            "updatedFields": [\
                {\
                    "attributeName": "UOM",\
                    "attributeOriginalValue": "PK"\
                }\
            ]\
        }\
    ],
    "attributes": {}
}
headers = {
    "x-site-context": "<x-site-context>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-site-context': '<x-site-context>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    shipmentNum: '78974156816152',
    allocationId: '112345678912340',
    invoiceId: '5674156816152',
    poNumber: '1125',
    vendorId: '56',
    statusCode: 'SHIPMENT_CREATED',
    type: 'STANDARD',
    reshipmentReasonCode: 'Order went missing',
    shipDate: '2022-06-06T07:58:30.996Z',
    locationNum: '132412',
    locationType: 'DC',
    totalCartons: 2,
    masterTrackingNumber: 'TX112345678',
    shipToId: '1',
    shipToAddress: {
      addressLine1: '888 Broadway',
      addressLine2: '505 suite',
      addressLine3: '<string>',
      addressLine4: '<string>',
      city: 'New York',
      state: 'NY',
      country: 'USA',
      postalCode: '1003',
      type: 'home',
      latitude: 134.13413,
      longitude: 757.0435
    },
    recipient: [\
      {\
        name: {first: 'John', middle: '<string>', last: 'Doe'},\
        email: 'support@abc.inc',\
        phone: {number: 10612345678, type: 'MOBILE'}\
      }\
    ],
    cartons: [\
      {\
        cartonNum: '1',\
        cartonType: 'Package',\
        promisedDeliveryDate: '2022-05-26T07:58:30.996Z',\
        estimatedShipDate: '2022-05-25T07:58:30.996Z',\
        estimatedDeliveryDate: '2022-05-26T07:58:30.996Z',\
        shipmentMethod: 'ground',\
        shipmentCarrier: 'FEDEX',\
        weight: '500 gram',\
        trackingNumber: '1Z999AA10123456784',\
        trackingURL: 'https://fedex.com/tracking',\
        trackingDetails: [\
          {\
            event: 'picked up',\
            eventId: '627963716b19511e8a3a631b',\
            timestamp: '2019-09-30T07:58:30.996Z',\
            shipmentCarrier: 'FEDEX',\
            location: 'Reno, NV',\
            notes: {}\
          }\
        ],\
        items: [\
          {\
            lineItemId: '1',\
            itemId: '100023',\
            sku: 'SKU0023',\
            orderId: '317736896',\
            orderNumber: '507f1f77bcf86cd799439011',\
            channelId: '12',\
            segment: null,\
            vendorId: '56',\
            orderedQuantity: 2,\
            shippedQuantity: 2,\
            returnQuantity: 1,\
            returnAmount: 10,\
            fees: [{type: 'tax', value: 34.56, quantity: 12, refundAmount: 10.4}],\
            giftCard: [{giftCardNum: '453456765', amount: 50}],\
            attributes: {},\
            uom: null\
          }\
        ]\
      }\
    ],
    scratchedItems: [\
      {\
        lineItemId: '2',\
        itemId: '100043',\
        sku: 'SKU00043',\
        quantity: 1,\
        reasonCode: '<string>',\
        subReasonCode: null,\
        attributes: {},\
        uom: null\
      }\
    ],
    auditLogs: [\
      {\
        auditType: 'create',\
        employeeId: '62272e917b12209e68751d94',\
        auditTimestamp: '2022-05-12T09:24:54.804Z',\
        source: 'POS',\
        note: 'Note',\
        attributes: {},\
        updatedFields: [{attributeName: 'UOM', attributeOriginalValue: 'PK'}]\
      }\
    ],
    attributes: {}
  })
};

fetch('https://prod01.oms.fabric.inc/api/v2/shipment/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



200

400

404

500

{
  "shipmentId": "627963716b19511e8a3a631b",
  "shipmentNum": "78974156816152",
  "invoiceId": "5674156816152",
  "allocationId": "112345678912340",
  "orderNumber": [\
    "112345678912340",\
    "112345678912340"\
  ],
  "poNumber": "1125",
  "vendorId": "56",
  "statusCode": "SHIPPED",
  "type": "STANDARD",
  "reshipmentReasonCode": "Order went missing",
  "shipDate": "2022-06-06T07:58:30.996Z",
  "locationNum": "132412",
  "locationType": "DC",
  "totalCartons": 2,
  "masterTrackingNumber": "TX112345678",
  "shipToId": "1",
  "shipToAddress": {
    "addressLine1": "888 Broadway",
    "addressLine2": "505 suite",
    "addressLine3": "<string>",
    "addressLine4": "<string>",
    "city": "New York",
    "state": "NY",
    "country": "USA",
    "postalCode": "1003",
    "type": "home",
    "latitude": 134.13413,
    "longitude": 757.0435
  },
  "recipient": [\
    {\
      "name": {\
        "first": "John",\
        "middle": "<string>",\
        "last": "Doe"\
      },\
      "email": "support@abc.inc",\
      "phone": {\
        "number": 10612345678,\
        "type": "MOBILE"\
      }\
    }\
  ],
  "cartons": [\
    {\
      "cartonNum": "1",\
      "cartonType": "Package",\
      "promisedDeliveryDate": "2022-05-26T07:58:30.996Z",\
      "estimatedShipDate": "2022-05-25T07:58:30.996Z",\
      "estimatedDeliveryDate": "2022-05-26T07:58:30.996Z",\
      "shipmentMethod": "ground",\
      "shipmentCarrier": "FEDEX",\
      "weight": "500 gram",\
      "trackingNumber": "1Z999AA10123456784",\
      "trackingURL": "https://fedex.com/tracking",\
      "trackingDetails": [\
        {\
          "event": "picked up",\
          "eventId": "627963716b19511e8a3a631b",\
          "timestamp": "2019-09-30T07:58:30.996Z",\
          "shipmentCarrier": "FEDEX",\
          "location": "Reno, NV",\
          "notes": {}\
        }\
      ],\
      "items": [\
        {\
          "shipmentLineItemId": "607f1f77bcf86cd799439011",\
          "orderId": "317736896",\
          "orderNumber": "507f1f77bcf86cd799439011",\
          "lineItemId": "1",\
          "itemId": "100023",\
          "sku": "SKU0023",\
          "channelId": "12",\
          "segment": null,\
          "vendorId": "56",\
          "orderedQuantity": 2,\
          "shippedQuantity": 2,\
          "returnQuantity": 1,\
          "returnAmount": 10,\
          "fees": [\
            {\
              "type": "tax",\
              "value": 34.56,\
              "quantity": 12,\
              "refundAmount": 10.4\
            }\
          ],\
          "giftCard": [\
            {\
              "giftCardNum": "453456765",\
              "amount": 50,\
              "giftCardStatus": "ACTIVE",\
              "giftCardActiveRequestDate": "2022-05-26T07:58:30.996Z",\
              "giftCardActiveDate": "2022-06-26T07:58:30.996Z"\
            }\
          ],\
          "attributes": {},\
          "uom": null\
        }\
      ]\
    }\
  ],
  "scratchedItems": [\
    {\
      "orderId": "507f1f77bcf86cd799439012",\
      "lineItemId": "2",\
      "itemId": "100043",\
      "sku": "SKU00043",\
      "quantity": 1,\
      "reasonCode": "<string>",\
      "subReasonCode": "<string>",\
      "attributes": {},\
      "uom": null\
    }\
  ],
  "createdAt": "2022-06-06T07:58:30.996Z",
  "updatedAt": "2022-06-06T07:58:30.996Z",
  "auditLogs": [\
    {\
      "auditType": "create",\
      "employeeId": "62272e917b12209e68751d94",\
      "auditTimestamp": "2022-05-12T09:24:54.804Z",\
      "source": "POS",\
      "note": "Note",\
      "attributes": {},\
      "updatedFields": [\
        {\
          "attributeName": "UOM",\
          "attributeOriginalValue": "PK"\
        }\
      ]\
    }\
  ],
  "attributes": {}
}
{
  "message": "Bad Request"
}
{
  "message": "Shipment Not Found."
}
{
  "message": "Internal Server Error"
}

POST

/

shipment

/

Try it

Create Shipment

cURL

import requests

url = "https://prod01.oms.fabric.inc/api/v2/shipment/"

response = requests.post(url, json=payload, headers=headers)

print(response.text)

fetch('https://prod01.oms.fabric.inc/api/v2/shipment/', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


") req.Header.Add("Authorization", "Bearer ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) } ``` ``` require 'uri' require 'net/http' url = URI("https://prod01.oms.fabric.inc/api/v2/shipment/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true response = http.request(request) puts response.read_body ``` 200 400 404 500 ``` { "message": "Bad Request" } ``` ``` { "message": "Shipment Not Found." } ``` ``` { "message": "Internal Server Error" } ``` #### Authorizations [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#authorization-authorization) Authorization string header required Bearer authentication header of the form `Bearer `, where `` is your auth token. #### Headers [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#parameter-x-site-context) x-site-context string required The `x-site-context` header is a JSON object that contains information about the source you wish to pull from. The mandatory `account` is the 24 character identifier found in Copilot. The `channel` (Sales channel ID), `stage` (environment name), and `date` attributes can be used to further narrow the scope of your data source. Example: `"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"` #### Body application/json Shipment and reshipment details [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-shipment-num) shipmentNum string Shipment number Example: `"78974156816152"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-allocation-id) allocationId string Allocation ID for an order, generated from allocation service Example: `"112345678912340"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-invoice-id) invoiceId string fabric-generated Invoice ID Example: `"5674156816152"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-po-number) poNumber string Purchase order number (generally, vendor-generated) Example: `"1125"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-vendor-id) vendorId string Vendor ID Example: `"56"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-status-code) statusCode enum Shipment status code Available options: `SHIPMENT_CREATED`, `SHIPMENT_CANCELLED`, `PICKUP_CREATED`, `PICKUP_COMPLETED`, `SHIPMENT_RETURN_PENDING`, `SHIPMENT_RETURN_RECEIVED`, `SHIPMENT_PARTIALLY_DELIVERED`, `SHIPMENT_DELIVERED` Example: `"SHIPMENT_CREATED"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-type) type enum Shipment type Available options: `STANDARD`, `RESHIP`, `RETURN`, `SCRATCH`, `PICKUP` Example: `"STANDARD"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-reshipment-reason-code) reshipmentReasonCode string Reason code for reshipment Example: `"Order went missing"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-ship-date) shipDate string Shipping time Example: `"2022-06-06T07:58:30.996Z"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-location-num) locationNum string Location number from the location service Example: `"132412"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-location-type) locationType string Location type based on location service such as store, distribution center (DC) Example: `"DC"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-total-cartons) totalCartons integer Total number of cartons Example: `2` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-master-tracking-number) masterTrackingNumber string Main tracking number, to track fulfillment of all the orders Example: `"TX112345678"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-ship-to-id) shipToId string Ship-to ID Example: `"1"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-ship-to-address) shipToAddress object Details of delivery address Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-recipient) recipient object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-cartons) cartons object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-scratched-items) scratchedItems object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-audit-logs) auditLogs object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#body-attributes) attributes object Shipment attributes Showchild attributes #### Response 200 application/json Ok Shipment details [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-shipment-id) shipmentId string 24-character fabric-generated unique ID of shipment Example: `"627963716b19511e8a3a631b"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-shipment-num) shipmentNum string Shipment number (external) Example: `"78974156816152"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-invoice-id) invoiceId string fabric-generated Invoice ID Example: `"5674156816152"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-allocation-id) allocationId string Allocation ID for an order, generated from allocation service Example: `"112345678912340"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-order-number) orderNumber string\[\] Order number. It's usually generated by another system, such as an external checkout system. Example: ``` ["112345678912340", "112345678912340"] ``` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-po-number) poNumber string Purchase order number (generally, vendor-generated) Example: `"1125"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-vendor-id) vendorId string Vendor ID Example: `"56"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-status-code) statusCode enum Shipment status code Available options: `SHIPMENT_CREATED`, `SHIPMENT_CANCELLED`, `PICKUP_CREATED`, `PICKUP_COMPLETED`, `SHIPMENT_RETURN_PENDING`, `SHIPMENT_RETURN_RECEIVED`, `SHIPMENT_PARTIALLY_DELIVERED`, `SHIPMENT_DELIVERED` Example: `"SHIPPED"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-type) type enum shipment type Available options: `STANDARD`, `RESHIP`, `RETURN`, `SCRATCH`, `PICKUP` Example: `"STANDARD"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-reshipment-reason-code) reshipmentReasonCode string Reason code for reshipment Example: `"Order went missing"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-ship-date) shipDate string Time of shipping Example: `"2022-06-06T07:58:30.996Z"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-location-num) locationNum string location number from location service to get exact address. Example: `"132412"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-location-type) locationType string Location type based on location service such as store, distribution center (DC) Example: `"DC"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-total-cartons) totalCartons integer Total number of cartons Example: `2` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-master-tracking-number) masterTrackingNumber string Main tracking number, to track fulfillment of all the orders Example: `"TX112345678"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-ship-to-id) shipToId string Ship-to ID refers to item's delivery address Example: `"1"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-ship-to-address) shipToAddress object Details of delivery address Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-recipient) recipient object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-cartons) cartons object\[\] Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-scratched-items) scratchedItems object\[\] details of scratched items Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-created-at) createdAt string Time of shipment creation Example: `"2022-06-06T07:58:30.996Z"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-updated-at) updatedAt string Time of last update Example: `"2022-06-06T07:58:30.996Z"` [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-audit-logs) auditLogs object\[\] Details of audit logs Showchild attributes [​](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/create-shipment#response-attributes) attributes object Attribute details for additional information Showchild attributes Was this page helpful? YesNo [Overview](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/overview) [Get Shipment](https://developer.fabric.inc/v2/api-reference/orders-v2/shipment/get-shipment) Ctrl+I Assistant Responses are generated using AI and may contain mistakes.